summaryrefslogtreecommitdiffhomepage
path: root/once/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'once/update.sh')
-rwxr-xr-xonce/update.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/once/update.sh b/once/update.sh
new file mode 100755
index 0000000..b6f05f4
--- /dev/null
+++ b/once/update.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+export PS1='\[\e]0;\w\a\]\n\[\e[32m\]\u@\h \[\e[33m\]\w\[\e[0m\]\n\$ '
+export HOME=/home/midipix
+
+if [ -z "$SYSROOT" ]; then
+ echo '$SYSROOT is not set!'
+ exit 2
+else
+ mkdir -p "$SYSROOT" || exit 2
+fi
+
+for tarball in /updates/*.tar.gz; do
+ echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
+ echo extracting files from $tarball
+ echo ..................................................
+ tar -xvf $tarball -C "$SYSROOT" || exit 2
+ echo ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+ echo
+done
+
+/custom.sh || exit 2
+
+echo
+echo
+echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+echo Congrats! All tarballs were successfully extracted.
+echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!